Summary: An X application for displaying and manipulating images.
Name: ImageMagick
Version: 5.2.3
Release: 3mdk
Copyright: OpenSource
Group: Graphics
BuildRequires: XFree86-devel libjpeg-devel libtiff-devel zlib-devel bzip2 libpng-devel freetype-devel
Source: ftp://ftp.wizards.dupont.com/pub/ImageMagick-%{version}.tar.bz2
Source1: ftp://ftp.wizards.dupont.com/pub/ImageMagick.pdf.bz2
Url: http://www.wizards.dupont.com/cristy/ImageMagick.html
Patch0: ImageMagick-5.1.1-qcontrolq.patch.bz2
Patch1: ImageMagick-5.2.1-tv.patch
Patch2: ImageMagick-5.2.3.compile-self.patch.bz2
Buildroot: %{_tmppath}/ImageMagick-root
Prereq: /sbin/ldconfig
Requires: %{name}-lib = %{PACKAGE_VERSION}

%description
ImageMagick is a powerful image display, coversion and
manipulation tool. It runs in an X session. With this
tool, you can view, edit and display a variety of
image formats.

This package installs the necessary files to run ImageMagick.
# ----------------------------------------------------------------------
%package lib
Summary: Modules for ImageMagick
Group: Graphics

%description lib
These are ImageMagicks modules.

%package devel
Summary: Static libraries and header files for ImageMagick app development.
Group: Development/C
Requires: ImageMagick = %{PACKAGE_VERSION}

%description devel
If you want to create applications that will use ImageMagick code
or APIs, you'll need to install these packages as well as ImageMagick.
These additional packages aren't necessary if you simply want to
use ImageMagick, however.

ImageMagick-devel is an addition to ImageMagick which includes 
static libraries and header files necessary to develop 
applications. 
# ----------------------------------------------------------------------
%package -n perl-Magick
Summary: libraries and modules for access to ImageMagick from perl
Group: Development/Perl
Requires: ImageMagick = %{PACKAGE_VERSION}

%description -n perl-Magick
This is the ImageMagick perl support package. It includes perl modules 
and support files for access to ImageMagick library from perl.
# ----------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p1 -b .tv_ln
%patch2 -p0
bzcat %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/ImageMagick.pdf


%build
rm -fr utilities/.libs
CFLAGS="$RPM_OPT_FLAGS"  ./configure --prefix=%{_prefix} --with-modules \
    --enable-shared --with-x --with-perl --host=%{_arch}-linux
mkdir -p $RPM_BUILD_ROOT    
%make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%makeinstall \
	PREFIX=$RPM_BUILD_ROOT/usr \
%makeinstall -C magick includedir=$RPM_BUILD_ROOT/%{_includedir}/magick


#add correct perlMagick doc:
cat www/perl.html \
	| sed -e "s#\.\./images/##g" \
	> perl-Magick.html

%clean
rm -rf $RPM_BUILD_ROOT
#rm -fv files-perl.list

%post 
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc www images
%doc README.txt ImageMagick.html ImageMagick.pdf
%attr(755,root,root) %{_libdir}/*.so.*
%{_bindir}/animate
%{_bindir}/combine
%{_bindir}/convert
%{_bindir}/display
%{_bindir}/identify
%{_bindir}/import
%{_bindir}/mogrify
%{_bindir}/montage
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%dir %{_libdir}/%{name}/modules/coders
%{_libdir}/%{name}/modules/coders/*.so
%{_libdir}/%{name}/modules/coders/*.la
%{_mandir}/man1/*
%{_mandir}/man4/*

%files lib
%defattr(-,root,root)
%{_datadir}/ImageMagick

%files devel
%defattr(-,root,root)
%doc www/api.html www/api/ 
%{_libdir}/%{name}/modules/coders/*.a
%{_bindir}/Magick-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/magick
%{_libdir}/*.so

%files -n perl-Magick
%defattr(-,root,root)
%doc perl-Magick.html images/examples.jpg images/home.png
%doc images/magick_small.png images/right_triangle.png
%{_libdir}/perl5/man/*/*
%{perl_sitearch}/*

%changelog
* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.3-3mdk
- don't BuildRequires on ImageMagick-devel.

* Wed Sep 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.3-2mdk
- build release

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.3-1mdk
- s|5.2.2|5.2.3|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.2-6mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Pixel <pixel@mandrakesoft.com> 5.2.2-5mdk
- put *.la back to main package (otherwise doesn't work!)
- use %%{perl_sitearch}
- /usr/lib/ImageMagick and subdirs now belongs to main package

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-4mdk
- put module *.so files in the main package while *.la and *.a go to devel

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-3mdk
- split out modules in -lib packages for lord rpmlint (gl scks)

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-2mdk
- build withmodules (titiscks)
- license is opensource
- should be ./configure --prefix=_prefix not /usr (titiscks)

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-1mdk
- new release

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.1-1mdk
- new release
- BM (this one give me an hard time :-( thanks for the gift)

* Thu Jul 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-6mdk
- since Lord Chmou've upload my test rpm without asking me before whereas it
  was bogus, i make a new release.
  Language lab, lesson 6, repeat after me : chmou sucks :-)

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-5mdk
- built against new libbz2

* Wed Jun 28 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.2.0-4mdk
- Changed i386 into %{_arch} in filelist

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-3mdk
- Correct %file of perl-Magick no more empty pod.

* Thu Jun 22 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-2mdk
- Correct local file owner in perl-Magick.

* Wed Jun  7 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-1mdk
- Up to 5.2.0

* Wed May 10 2000 Stefan Siegel <siegel@linux-mandrake.com>
- Split ImageMagick-devel in ImageMagick-devel and perl-Magick.
- moved Magick-config to ImageMagick-devel.

* Wed Apr 26 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-7mdk
- Change prefix to /usr.
- Update to second version 5.1.1 of wizard.dupont.
- Move include files in %{_includedir}/magick.
- Remove entry menu for display (needs a terminaux stdin)
- Now, compile alone (with good librairie in rpm build dir)

* Wed Apr 19 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-6mdk
- Doc file slipt into the two package.

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-5mdk
- Patch ltconfig to remove rpath.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-4mdk
- Really apply patch.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-3mdk
- Prereq: /sbin/ldconfig.
- Add menu.
- Adjust groups.
- No need to do Ctrl-q to qui (just q or c-q if you really want).

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-2mdk
- Recompile ImageMagick-devel with the right 5.1.1 devel.

* Thu Jan 13 2000 Vincent Saugey <vince@mandrakesoft.com>
- update to 5.1.0
- Add documaentation ImageMagick.pdf

* Mon Nov 01 1999 Vincent Saugey <vincent@mandrakesoft.com>
- 4.2.9
- ImageMagick now supports native blob support for most of the image formats.  
- Enable accented letters in text for Postscript fonts
- Broke up some of the large source modules into smaller more managable modules. 
- Added methods CreateImage and GetPixels to make using float arrays of pixels easier.
- Fixed GS delegate to get around a Ghostscript bug for device pnmraw (bug report by Thomas Baker).        
- Added ImageMagick User's Guide to the distribution. See ImageMagick/docs directory.
- Drawing primitives are antialiased now 
- Several API changes were made to accomodate Magick++, the C++ ImageMagick API wrapper 
- Several API changes were made to make the ImageMagick API thread safe. 
- Many others changes

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Handle SMP compilation.
- 4.2.7.
- Remove unused patch.

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 4.2.3
- Mandrake adaptions
- add de locale

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- include the perl man pages as well

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- remove --enable-16bit because it damages interoperability

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.2
- change ChangeLog to refer to actual dates. 
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- add more files. Oops.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- version 4.2.1

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed group

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- hacks to make it work with the new perl
- version 4.1.0 (actually installs the sonames as 4.0.10... doh!)
- make sure the libraries have the x bit on

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.5

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.4
- added BuildRoot

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 3.8.3 to 3.9.1
- removed PNG patch (appears to be fixed)

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- updated to version 3.8.3.
- updated source and url tags.


